Subject: bug#56873: Make `defvar-keymap' warn on conflicting and redundant bindings

From: Robert Pluim <[email-masked]>
Date: Tue, 02 Aug 2022 14:33:30 +0200

tags 56873 fixed
close 56873 29.1
quit

>>>>> On Tue, 02 Aug 2022 14:01:18 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> I put it in both, and it turns out we have errors in both, which I
    >> propose to fix like this (this preserves current behaviour, due to the
    >> 'last definition wins' nature of define-keymap). I decided that for
    >> coherence, the gnus-summary-up-thread binding should go as well (itʼs
    >> available on "T-u" anyway).

    Lars> Looks good to me; please go ahead and push.

Closing.
Committed as bf47851e08